Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1597731 - need 'shellcheck' in smoke.
Summary: need 'shellcheck' in smoke.
Keywords:
Status: ASSIGNED
Alias: None
Product: GlusterFS
Classification: Community
Component: project-infrastructure
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard: Process-Automation
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-03 14:21 UTC by Amar Tumballi
Modified: 2019-02-15 22:30 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Amar Tumballi 2018-07-03 14:21:47 UTC
# Description of problem:

Today, there is no validation for 'shell' scripts (present in the form of executable binary, files ending with `.sh`, or files ending with `.sh.in`).

Ideally, if any shell script files gets modified in the patch, that particular shell script should pass 'shellcheck' test. This should be a voting job.

Comment 1 Shyamsundar 2018-07-03 15:44:30 UTC
Ack! Extremely useful for obvious reasons (and as an aside, this is what helps me get my bash scripts working, considering my bash skills :) )

Comment 2 Nigel Babu 2018-10-04 14:00:16 UTC
How do we want to go about this?

There is a lot of errors at the moment. Do we want to tackle it by number? Or do we want to ignore the non-serious errors so this count is more manageable?

$ find . -name '*.sh' | xargs shellcheck | grep -c 'In'
1629


Note You need to log in before you can comment on or make changes to this bug.